package ink.wgink.properties.media;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: MediaProperties
 * @Description: 媒体
 * @Author: WangGeng
 * @Date: 2021/6/9 21:11
 * @Version: 1.0
 **/
@Component
@ConfigurationProperties(prefix = "media")
public class MediaProperties {

    private String uploadPath;
    private String ffmpegPath;

    public String getUploadPath() {
        return uploadPath == null ? "" : uploadPath.trim();
    }

    public void setUploadPath(String uploadPath) {
        this.uploadPath = uploadPath;
    }

    public String getFfmpegPath() {
        return ffmpegPath == null ? "" : ffmpegPath.trim();
    }

    public void setFfmpegPath(String ffmpegPath) {
        this.ffmpegPath = ffmpegPath;
    }
}
